package cpcns.common.filter;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.common.filter.XSSHttpServletRequestWrapper;
import java.io.IOException;
import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import org.apache.log4j.Logger;

public class XSSHttpServletRequestFilter implements Filter {
  private static Logger logger = Logger.getLogger(cpcns.common.filter.XSSHttpServletRequestFilter.class);
  
  public void init(FilterConfig filterConfig) throws ServletException {
    logger.info("##init XSSFilter");
  }
  
  public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException {
    try {
      chain.doFilter((ServletRequest)new XSSHttpServletRequestWrapper((HttpServletRequest)request), response);
    } catch (Exception e) {
      throw e;
    } 
  }
  
  public void destroy() {
    logger.info("##destroy XSSFilter");
  }
}
